Bug 53654 - OpenGL headers missing GLX1.3 define GLX_RGBA_TYPE
OpenGL headers missing GLX1.3 define GLX_RGBA_TYPE
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
roswell
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-13 22:10 EDT by David Jung
Modified: 2007-03-26 23:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-24 21:19:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jung 2001-09-13 22:10:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2)
Gecko/20010726 Netscape6/6.1

Description of problem:
The GLX1.3 standard specifies that the render_type argument to the
glXCreateNewContext() function can be the define GLX_RGBA_TYPE.
This symbol is not defined in the headers (full clean install of roswell)
The glx.h header from SGI IRIX6.5 reads:
#define GLX_RGBA_TYPE                   0x8014

(not sure if this value varies across platforms or not)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install roswell (full install)
2. grep for GLX_RGBA_TYPE in /usr/include/GL
3. notice it's not there.
	

Actual Results:  the symbol isn't found.

Expected Results:  synbol should be present. (NB: GLX_RGBA is defined, but
this is a different constant)

Additional info:
Comment 1 Mike A. Harris 2001-09-18 03:28:10 EDT
Mesa is not OpenGL 1.3 compliant yet, and does not claim to be.  You'll
have to wait until Mesa 4.0 is released for that functionality.
Comment 2 David Jung 2001-09-18 09:24:40 EDT
This bug does not relate to the OpenGL version.  It is a problem with GLX.
The glx.h header advertises GLX version 1.3 by defining the constant
GLX_VERSION_1_3.  In which case is must define GLX_RBGA_TYPE.
If it is not GLX1.3 compliant then is should not define GLX_VERSION_1_3.
Either way it needs to be fixed.
Cheers.
Comment 3 Mike A. Harris 2001-09-24 21:19:41 EDT
Ok, correct you are.  I have asked upstream to Brian Paul, and he
confirmed that this and several other similar bugs exist, and will
be fixed in a future release:

-----------------------------------------------------------------
I already fixed this a while ago.  It'll be in the next release.
There were actually several missing or misspelled tokens.
 
-Brian-----------------------------------------------------------------
Once released, I will pick up these fixes, and apply them to
a future build.
Thanks for your persistence!

Comment 4 Mike A. Harris 2002-05-20 22:43:01 EDT
This is fixed in Mesa 4.0, and will appear in Red Hat Linux when we
Mesa 4.0 becomes part of the distribution.  I'm closing the bug as
RAWHIDE, even though it isn't currently fixed in rawhide, but it will
appear in rawhide when Mesa 4 shows up.

Note You need to log in before you can comment on or make changes to this bug.